#!/bin/sh

echo "You need to have Git installed."
# Install Stack (failure is OK):
wget -qO- https://get.haskellstack.org/ | sh
# Clone the renew-2.6 tag from the CCPN repository:
git clone -b renew-2.6 --single-branch https://git.informatik.uni-hamburg.de/tgipublic/ccpn/ccpn.git &&
# Go there:
cd ccpn &&
# Build CCPN:
make setup &&
# Print helpful instruction for running Renew with CCPN:
echo "Please generate the Renew startup scripts by running the bin/unix/installrenew script." &&
echo "Subsequently, you can start Renew with the bin/unix/loadrenew script."
